<?xml version="1.0" encoding="utf-8"?>
<manifest xmlns:android="http://schemas.android.com/apk/res/android"
    package="com.example.eric_jqm_chat"
    android:versionCode="1"
    android:versionName="1.0" >
	<uses-permission android:name='android.permission.INTERNET'/>	<!-- 联网权限 -->
	<uses-permission android:name="android.permission.VIBRATE" />  <!-- 震动权限 -->
    <uses-permission android:name="android.permission.CAMERA" />
    <uses-feature android:name="android.hardware.camera" />        <!-- 使用照相机权限 -->
    <uses-feature android:name="android.hardware.camera.autofocus" />   <!-- 自动聚焦权限 -->
    <uses-permission android:name="android.permission.RECORD_AUDIO"/>	<!-- 允许录制音频权限 -->
    <uses-permission android:name="android.permission.RECORD_VIDEO"/>	<!-- 允许录制视频权限 -->
    <uses-permission android:name="android.permission.WRITE_EXTERNAL_STORAGE"/>  <!-- 写入SD卡权限 -->
	<uses-permission android:name="android.permission.MOUNT_UNMOUNT_FILESYSTEMS"/>	<!-- 在SD卡中创建和删除文件的权限 -->
    <uses-sdk
        android:minSdkVersion="14"
        android:targetSdkVersion="19" />

    <application
        android:allowBackup="true"
        android:icon="@drawable/ic_launcher"
        android:label="@string/app_name"
        android:theme="@style/AppTheme" >
        <service android:name="com.example.eric_jqm_chat.services.PresenceService"></service>
        <service android:name="com.example.eric_jqm_chat.services.LoginService"></service>
        <activity
            android:name=".MainActivity"
            android:screenOrientation="portrait"
            android:label="@string/app_name" >
            
        </activity>
        <activity android:name=".Login">
            <intent-filter>
                <action android:name="android.intent.action.MAIN" />
                <category android:name="android.intent.category.LAUNCHER" />
            </intent-filter>
        </activity>
        <activity  android:name=".BottomMenu" android:theme="@style/bottom_style" ></activity>
        <activity android:name=".Register" ></activity>
        <activity android:name=".ChatActivity" ></activity>
        <activity android:name=".CaptureActivity" ></activity>
        <activity android:name=".AddFriendActivity" ></activity>
        <activity android:name=".CatchCameraActivity" >
           
        </activity>
        <activity android:name=".FriendDetail"> </activity>
    </application>

</manifest>
